<?php
$tdatapercentage_b_01 = array();
$tdatapercentage_b_01[".searchableFields"] = array();
$tdatapercentage_b_01[".ShortName"] = "percentage_b_01";
$tdatapercentage_b_01[".OwnerID"] = "";
$tdatapercentage_b_01[".OriginalTable"] = "percentage_b_01";


$tdatapercentage_b_01[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatapercentage_b_01[".originalPagesByType"] = $tdatapercentage_b_01[".pagesByType"];
$tdatapercentage_b_01[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatapercentage_b_01[".originalPages"] = $tdatapercentage_b_01[".pages"];
$tdatapercentage_b_01[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatapercentage_b_01[".originalDefaultPages"] = $tdatapercentage_b_01[".defaultPages"];

//	field labels
$fieldLabelspercentage_b_01 = array();
$fieldToolTipspercentage_b_01 = array();
$pageTitlespercentage_b_01 = array();
$placeHolderspercentage_b_01 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspercentage_b_01["English"] = array();
	$fieldToolTipspercentage_b_01["English"] = array();
	$placeHolderspercentage_b_01["English"] = array();
	$pageTitlespercentage_b_01["English"] = array();
	$fieldLabelspercentage_b_01["English"]["Region"] = "Region";
	$fieldToolTipspercentage_b_01["English"]["Region"] = "";
	$placeHolderspercentage_b_01["English"]["Region"] = "";
	$fieldLabelspercentage_b_01["English"]["numRegion"] = "Num Region";
	$fieldToolTipspercentage_b_01["English"]["numRegion"] = "";
	$placeHolderspercentage_b_01["English"]["numRegion"] = "";
	$fieldLabelspercentage_b_01["English"]["totalPers"] = "Total Pers";
	$fieldToolTipspercentage_b_01["English"]["totalPers"] = "";
	$placeHolderspercentage_b_01["English"]["totalPers"] = "";
	$fieldLabelspercentage_b_01["English"]["voteWith"] = "Vote With";
	$fieldToolTipspercentage_b_01["English"]["voteWith"] = "";
	$placeHolderspercentage_b_01["English"]["voteWith"] = "";
	$fieldLabelspercentage_b_01["English"]["Percentage"] = "Percentage";
	$fieldToolTipspercentage_b_01["English"]["Percentage"] = "";
	$placeHolderspercentage_b_01["English"]["Percentage"] = "";
	if (count($fieldToolTipspercentage_b_01["English"]))
		$tdatapercentage_b_01[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelspercentage_b_01["Arabic"] = array();
	$fieldToolTipspercentage_b_01["Arabic"] = array();
	$placeHolderspercentage_b_01["Arabic"] = array();
	$pageTitlespercentage_b_01["Arabic"] = array();
	$fieldLabelspercentage_b_01["Arabic"]["Region"] = "Region";
	$fieldToolTipspercentage_b_01["Arabic"]["Region"] = "";
	$placeHolderspercentage_b_01["Arabic"]["Region"] = "";
	$fieldLabelspercentage_b_01["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipspercentage_b_01["Arabic"]["numRegion"] = "";
	$placeHolderspercentage_b_01["Arabic"]["numRegion"] = "";
	$fieldLabelspercentage_b_01["Arabic"]["totalPers"] = "Total Pers";
	$fieldToolTipspercentage_b_01["Arabic"]["totalPers"] = "";
	$placeHolderspercentage_b_01["Arabic"]["totalPers"] = "";
	$fieldLabelspercentage_b_01["Arabic"]["voteWith"] = "Vote With";
	$fieldToolTipspercentage_b_01["Arabic"]["voteWith"] = "";
	$placeHolderspercentage_b_01["Arabic"]["voteWith"] = "";
	$fieldLabelspercentage_b_01["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipspercentage_b_01["Arabic"]["Percentage"] = "";
	$placeHolderspercentage_b_01["Arabic"]["Percentage"] = "";
	if (count($fieldToolTipspercentage_b_01["Arabic"]))
		$tdatapercentage_b_01[".isUseToolTips"] = true;
}


	$tdatapercentage_b_01[".NCSearch"] = true;



$tdatapercentage_b_01[".shortTableName"] = "percentage_b_01";
$tdatapercentage_b_01[".nSecOptions"] = 0;

$tdatapercentage_b_01[".mainTableOwnerID"] = "";
$tdatapercentage_b_01[".entityType"] = 0;
$tdatapercentage_b_01[".connId"] = "electiondb_at_ssl_localhost";


$tdatapercentage_b_01[".strOriginalTableName"] = "percentage_b_01";

	



$tdatapercentage_b_01[".showAddInPopup"] = false;

$tdatapercentage_b_01[".showEditInPopup"] = false;

$tdatapercentage_b_01[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapercentage_b_01[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapercentage_b_01[".listAjax"] = false;
//	temporary
$tdatapercentage_b_01[".listAjax"] = false;

	$tdatapercentage_b_01[".audit"] = false;

	$tdatapercentage_b_01[".locking"] = false;


$pages = $tdatapercentage_b_01[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapercentage_b_01[".edit"] = true;
	$tdatapercentage_b_01[".afterEditAction"] = 1;
	$tdatapercentage_b_01[".closePopupAfterEdit"] = 1;
	$tdatapercentage_b_01[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapercentage_b_01[".add"] = true;
$tdatapercentage_b_01[".afterAddAction"] = 1;
$tdatapercentage_b_01[".closePopupAfterAdd"] = 1;
$tdatapercentage_b_01[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapercentage_b_01[".list"] = true;
}



$tdatapercentage_b_01[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapercentage_b_01[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapercentage_b_01[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapercentage_b_01[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapercentage_b_01[".printFriendly"] = true;
}



$tdatapercentage_b_01[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapercentage_b_01[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapercentage_b_01[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapercentage_b_01[".isUseAjaxSuggest"] = true;

$tdatapercentage_b_01[".rowHighlite"] = true;





$tdatapercentage_b_01[".ajaxCodeSnippetAdded"] = false;

$tdatapercentage_b_01[".buttonsAdded"] = false;

$tdatapercentage_b_01[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapercentage_b_01[".isUseTimeForSearch"] = false;


$tdatapercentage_b_01[".badgeColor"] = "1E90FF";


$tdatapercentage_b_01[".allSearchFields"] = array();
$tdatapercentage_b_01[".filterFields"] = array();
$tdatapercentage_b_01[".requiredSearchFields"] = array();

$tdatapercentage_b_01[".googleLikeFields"] = array();
$tdatapercentage_b_01[".googleLikeFields"][] = "Region";
$tdatapercentage_b_01[".googleLikeFields"][] = "numRegion";
$tdatapercentage_b_01[".googleLikeFields"][] = "totalPers";
$tdatapercentage_b_01[".googleLikeFields"][] = "voteWith";
$tdatapercentage_b_01[".googleLikeFields"][] = "Percentage";



$tdatapercentage_b_01[".tableType"] = "list";

$tdatapercentage_b_01[".printerPageOrientation"] = 0;
$tdatapercentage_b_01[".nPrinterPageScale"] = 100;

$tdatapercentage_b_01[".nPrinterSplitRecords"] = 40;

$tdatapercentage_b_01[".geocodingEnabled"] = false;










$tdatapercentage_b_01[".pageSize"] = 20;

$tdatapercentage_b_01[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapercentage_b_01[".strOrderBy"] = $tstrOrderBy;

$tdatapercentage_b_01[".orderindexes"] = array();


$tdatapercentage_b_01[".sqlHead"] = "SELECT Region,  	numRegion,  	totalPers,  	voteWith,  	Percentage";
$tdatapercentage_b_01[".sqlFrom"] = "FROM percentage_b_01";
$tdatapercentage_b_01[".sqlWhereExpr"] = "";
$tdatapercentage_b_01[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapercentage_b_01[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapercentage_b_01[".arrGroupsPerPage"] = $arrGPP;

$tdatapercentage_b_01[".highlightSearchResults"] = true;

$tableKeyspercentage_b_01 = array();
$tdatapercentage_b_01[".Keys"] = $tableKeyspercentage_b_01;


$tdatapercentage_b_01[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01["Region"] = $fdata;
		$tdatapercentage_b_01[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01["numRegion"] = $fdata;
		$tdatapercentage_b_01[".searchableFields"][] = "numRegion";
//	totalPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "totalPers";
	$fdata["GoodName"] = "totalPers";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01","totalPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "totalPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "totalPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01["totalPers"] = $fdata;
		$tdatapercentage_b_01[".searchableFields"][] = "totalPers";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01["voteWith"] = $fdata;
		$tdatapercentage_b_01[".searchableFields"][] = "voteWith";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01["Percentage"] = $fdata;
		$tdatapercentage_b_01[".searchableFields"][] = "Percentage";


$tables_data["percentage_b_01"]=&$tdatapercentage_b_01;
$field_labels["percentage_b_01"] = &$fieldLabelspercentage_b_01;
$fieldToolTips["percentage_b_01"] = &$fieldToolTipspercentage_b_01;
$placeHolders["percentage_b_01"] = &$placeHolderspercentage_b_01;
$page_titles["percentage_b_01"] = &$pageTitlespercentage_b_01;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["percentage_b_01"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["percentage_b_01"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_percentage_b_01()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  	numRegion,  	totalPers,  	voteWith,  	Percentage";
$proto0["m_strFrom"] = "FROM percentage_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "percentage_b_01";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "percentage_b_01";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "totalPers",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01"
));

$proto10["m_sql"] = "totalPers";
$proto10["m_srcTableName"] = "percentage_b_01";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01"
));

$proto12["m_sql"] = "voteWith";
$proto12["m_srcTableName"] = "percentage_b_01";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01"
));

$proto14["m_sql"] = "Percentage";
$proto14["m_srcTableName"] = "percentage_b_01";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "percentage_b_01";
$proto17["m_srcTableName"] = "percentage_b_01";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "Region";
$proto17["m_columns"][] = "numRegion";
$proto17["m_columns"][] = "totalPers";
$proto17["m_columns"][] = "voteWith";
$proto17["m_columns"][] = "Percentage";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "percentage_b_01";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "percentage_b_01";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="percentage_b_01";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_percentage_b_01 = createSqlQuery_percentage_b_01();


	
		;

					

$tdatapercentage_b_01[".sqlquery"] = $queryData_percentage_b_01;



$tableEvents["percentage_b_01"] = new eventsBase;
$tdatapercentage_b_01[".hasEvents"] = false;

?>